#!/bin/bash
#
# /home/franz/hsv12/scripts/csv.sh
#
# Formatiere aus einer ../data/$ym/dd.mm.yyyy-dat - Datei eine von oocalc
# lesbare csv - Datei.
#
hsv12=/home/franz/hsv12
#
test -e $hsv12/data/$1-dat
if [ $? -ne 0 ]
then
echo "
Datei $hsv12/data/$1-dat existiert nicht!"
echo "Eingabe: prefix von -dat in $hsv12/data
"
echo "prefix-format : dd.mm.yyyy
"
exit
fi
#
# Erste Version für Boiler- und Heizkreis-Betrachtung, dafür die Spalten
# in der Reihenfolge nach file "header" :
#  1 Datum
#  2 Uhrzeit
#  4 Kesselzustand
#  6 KesselT
#  8 AussenTAkt
#  9 AussenTGem
# 10 HK1TIst
# 12 HK1TSoll
# 14 Boiler
# 18 RaumT
# 54 Pumpen
# 62 EinschSchn-Takte/min
#
inf=$hsv12/data/$1-dat
ott=./$1-dat.tmp
otf=$hsv12/csv/$1-dat.csv
header=$hsv12/scripts/header
csvsed=$hsv12/scripts/csv.sed
sed $header -f $csvsed $inf | cut -d" " -f1,2,4,6,8,9,10,12,14,18,54,62 > $ott
cat $ott | awk '{print $2,$3,$4,$5,$6,$7,$8,$9,$10,$11,$1,$12}' > $otf
rm $ott
#
exit 0
