#!/bin/bash
#
# get-data.sh
#
# - lese den HSV12-Satz aus der seriellen Schnittstelle /dev/ttyS0
# - zähle die Einschubschnecken-Motorstrom-"nicht null Takte" und schließe
#   später daraus auf den Pellets-Verbrauch
# - schreibe Datum und Uhrzeit mit einem HSV12-Satz und den Einschub-
#   schnecken-Motorstrom-"nicht null Takten" im Minuten-Takt in eine
#   Tagesdatei für die Weiterverarbeitung zu einem Diagramm in OOoCalc
#
 xx=0                  # Bedingung für Endlos-Schleife
 im=0                  # Schleifen-Zähler, Kontrolle
 ic=0                  # Zähler für EinschSchn-"nicht null Takte"
 Min=0                 # Minute für Schreibtakt
 while [ $xx -eq 0 ]   # Endlos-Schleife-Anfang
 do
 im=`expr $im + 1`
 # lese HSV12-Satz
 #    Gelegentlich kommt es vor, dass der Satzanfang fehlt; dann
 #    Wiederholung.
      vpm=0
      while [ $vpm -eq 0 ]
      do
      hdat="`head -n1 /dev/ttyS0`"
      vpm=`expr index "$hdat" 'pm'`
      done

 # extrahiere Einschubschnecken-Motorstrom-Feld
 c=`echo $hdat | cut -d" " -f18`

  # zähle Einschubschnecken-Motorstrom-Feld-"nicht null Takte"
  if [ $c -ne 0 ]
  then
  ic=`expr $ic + 1`
  fi

# Schreibe im Minutentakt in die Tagesdatei
  if [ `date +%S` -eq 00 -a `date +%M` -ne $Min ]
  then
  dt=`date +%d.%m.%Y:%H:%M`
  echo $dt $hdat $ic $im >> /home/franz/hsv12/data/`date +%d.%m.%Y`-dat
  Min=`date +%M`
  im=0
  ic=0
  fi

 done                  # Endlos-Schleife-Ende
exit 0

